3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception(); } catch(Exception $e) { throw $e; } finally { echo 'Finally'; }
Output for 7.0.0 - 7.1.0
Finally Fatal error: Uncaught Exception in /in/tu05W:5 Stack trace: #0 {main} thrown in /in/tu05W on line 5
Process exited with code 255.
Output for 5.5.24 - 5.6.28
Finally Fatal error: Uncaught exception 'Exception' in /in/tu05W:5 Stack trace: #0 {main} thrown in /in/tu05W on line 5
Process exited with code 255.
Output for 5.1.0 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/tu05W on line 12
Process exited with code 255.
Output for 5.0.0 - 5.0.5
Parse error: parse error, unexpected '{' in /in/tu05W on line 12
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/tu05W on line 4
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/tu05W on line 4
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/tu05W on line 4
Process exited with code 255.